Index: trunk/kernel/obj.tsar/kern/htable.d
===================================================================
--- trunk/kernel/obj.tsar/kern/htable.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/htable.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/htable.o: kern/htable.c kern/htable.h libk/list.h \
+ kern/kmagics.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ kern/atomic.h libk/types.h libk/stdint.h mm/kmem.h mm/kcm.h \
+ kern/spinlock.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/pmm.h arch/tsar/arch-pmm.h kern/thread.h
Index: trunk/kernel/obj.tsar/kern/kern_init.d
===================================================================
--- trunk/kernel/obj.tsar/kern/kern_init.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/kern_init.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/kern/kern_init.o: kern/kern_init.c obj.tsar/kern/almOS-date.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h kern/cluster.h mm/ppm.h mm/heap_manager.h \
+ mm/page.h kern/sysconf.h kern/dqdt.h kern/pid.h
Index: trunk/kernel/obj.tsar/kern/keysdb.d
===================================================================
--- trunk/kernel/obj.tsar/kern/keysdb.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/keysdb.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/keysdb.o: kern/keysdb.c libk/errno.h vfs/vfs-errno.h \
+ libk/libk.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/string.h libk/ctype.h kern/kdmsg.h kern/spinlock.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/page.h kern/wait_queue.h mm/ppm.h mm/pmm.h \
+ arch/tsar/arch-pmm.h kern/thread.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/kfifo.d
===================================================================
--- trunk/kernel/obj.tsar/kern/kfifo.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/kfifo.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/kern/kfifo.o: kern/kfifo.c kern/cpu.h libk/utils.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/kfifo.h
Index: trunk/kernel/obj.tsar/kern/kthread_create.d
===================================================================
--- trunk/kernel/obj.tsar/kern/kthread_create.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/kthread_create.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/kthread_create.o: kern/kthread_create.c mm/kmem.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h mm/kcm.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/thread.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h mm/ppm.h kern/cluster.h mm/heap_manager.h
Index: trunk/kernel/obj.tsar/kern/ku_transfert.d
===================================================================
--- trunk/kernel/obj.tsar/kern/ku_transfert.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/ku_transfert.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/ku_transfert.o: kern/ku_transfert.c kern/ku_transfert.h \
+ kern/cpu.h libk/utils.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/cluster.h kern/mcs_sync.h mm/ppm.h \
+ kern/wait_queue.h kern/kdmsg.h libk/boot-info.h mm/heap_manager.h \
+ kern/thread.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/mcs_sync.d
===================================================================
--- trunk/kernel/obj.tsar/kern/mcs_sync.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/mcs_sync.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/mcs_sync.o: kern/mcs_sync.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/types.h libk/stdint.h kern/mcs_sync.h \
+ kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/kern/mwmr.d
===================================================================
--- trunk/kernel/obj.tsar/kern/mwmr.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/mwmr.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/mwmr.o: kern/mwmr.c libk/errno.h vfs/vfs-errno.h \
+ kern/mwmr.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h mm/kmem.h mm/kcm.h libk/list.h kern/kmagics.h \
+ kern/spinlock.h kern/thread.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/kern/radix.d
===================================================================
--- trunk/kernel/obj.tsar/kern/radix.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/radix.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/kern/radix.o: kern/radix.c libk/errno.h vfs/vfs-errno.h \
+ kern/radix.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h mm/kmem.h mm/kcm.h libk/list.h kern/kmagics.h \
+ kern/spinlock.h libk/bits.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/kern/remote_fifo.d
===================================================================
--- trunk/kernel/obj.tsar/kern/remote_fifo.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/remote_fifo.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/remote_fifo.o: kern/remote_fifo.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cluster.h mm/ppm.h mm/heap_manager.h
Index: trunk/kernel/obj.tsar/kern/rpc.d
===================================================================
--- trunk/kernel/obj.tsar/kern/rpc.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/rpc.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/kern/rpc.o: kern/rpc.c kern/rpc.h libk/errno.h vfs/vfs-errno.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ kern/remote_fifo.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h mm/pmm.h \
+ arch/tsar/arch-pmm.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/thread.h kern/wait_queue.h kern/cluster.h mm/ppm.h \
+ mm/heap_manager.h
Index: trunk/kernel/obj.tsar/kern/rr-sched.d
===================================================================
--- trunk/kernel/obj.tsar/kern/rr-sched.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/rr-sched.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/kern/rr-sched.o: kern/rr-sched.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h
Index: trunk/kernel/obj.tsar/kern/rr-sched_locked.d
===================================================================
--- trunk/kernel/obj.tsar/kern/rr-sched_locked.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/rr-sched_locked.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/rr-sched_locked.o: kern/rr-sched_locked.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h kern/kdmsg.h libk/types.h libk/stdint.h \
+ kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/cluster.h mm/ppm.h \
+ kern/wait_queue.h mm/heap_manager.h kern/dqdt.h kern/thread.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/rwlock.d
===================================================================
--- trunk/kernel/obj.tsar/kern/rwlock.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/rwlock.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/rwlock.o: kern/rwlock.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/rwlock.h
Index: trunk/kernel/obj.tsar/kern/scheduler.d
===================================================================
--- trunk/kernel/obj.tsar/kern/scheduler.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/scheduler.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/scheduler.o: kern/scheduler.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ libk/list.h kern/kmagics.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/keysdb.h \
+ kern/signal.h kern/cpu-trace.h kern/cluster.h mm/ppm.h mm/heap_manager.h
Index: trunk/kernel/obj.tsar/kern/semaphore.d
===================================================================
--- trunk/kernel/obj.tsar/kern/semaphore.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/semaphore.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/semaphore.o: kern/semaphore.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/semaphore.h
Index: trunk/kernel/obj.tsar/kern/signal.d
===================================================================
--- trunk/kernel/obj.tsar/kern/signal.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/signal.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/signal.o: kern/signal.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ libk/utils.h kern/signal.h kern/thread.h libk/list.h kern/kmagics.h \
+ kern/spinlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/pid.h
Index: trunk/kernel/obj.tsar/kern/spinlock.d
===================================================================
--- trunk/kernel/obj.tsar/kern/spinlock.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/spinlock.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/spinlock.o: kern/spinlock.c kern/system.h kern/hal-arch.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h
Index: trunk/kernel/obj.tsar/kern/sys_alarm.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_alarm.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_alarm.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_alarm.o: kern/sys_alarm.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/thread.h libk/list.h \
+ kern/kmagics.h kern/spinlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h kern/task.h kern/rwlock.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h kern/cpu-trace.h
Index: trunk/kernel/obj.tsar/kern/sys_barrier.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_barrier.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_barrier.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_barrier.o: kern/sys_barrier.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/errno.h \
+ vfs/vfs-errno.h kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ kern/barrier.h
Index: trunk/kernel/obj.tsar/kern/sys_chdir.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_chdir.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_chdir.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_chdir.o: kern/sys_chdir.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ mm/mapper.h kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/sys-vfs.h kern/thread.h kern/task.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_chmod.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_chmod.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_chmod.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_chmod.o: kern/sys_chmod.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ mm/mapper.h kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/sys-vfs.h kern/thread.h kern/task.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_clock.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_clock.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_clock.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/kern/sys_clock.o: kern/sys_clock.c libk/errno.h vfs/vfs-errno.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h kern/cpu.h libk/utils.h libk/types.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/thread.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h
Index: trunk/kernel/obj.tsar/kern/sys_close.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_close.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_close.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_close.o: kern/sys_close.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_closedir.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_closedir.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_closedir.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_closedir.o: kern/sys_closedir.c vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/sys-vfs.h kern/thread.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_cond_var.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_cond_var.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_cond_var.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_cond_var.o: kern/sys_cond_var.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/errno.h \
+ vfs/vfs-errno.h kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ kern/semaphore.h kern/cond_var.h
Index: trunk/kernel/obj.tsar/kern/sys_creat.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_creat.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_creat.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_creat.o: kern/sys_creat.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h vfs/vfs.h kern/system.h kern/hal-arch.h \
+ libk/types.h libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/thread.h
